<!-- [QPRTemplateStart: jsportaltoolbarutils.tpl] -->
<#Include template="jsutils.tpl">

<script type="text/javascript">
var _sDefaultBookmarkName = "";

function sGetViewName()
{
  return "<#ViewName ENC="html">";
}

function OpenBookmarkEditor()
{
  var sUrl = sSetParameter(ACT_PARAM_NAM, sEncodeURI(_sDefaultBookmarkName), "<#AddBookmarkURL noname="1">");
  sUrl = sGetBookmarkURL(sUrl); // add dynamic state to bookmark URL
  OpenWindow(sUrl, "_blank", iGetBookmarkEditorWidth(), iGetBookmarkEditorHeight(), 0);
  oGetMainView().sendGoogleAnalyticsEvent('Button', 'Bookmarks', '');	// Google Analytics
}

function sUpdateDefaultBookmarkName(vsDefaultBookmarkName, vbRecursing)
{
  var oFrameset;
  if (!vbRecursing) {
    oFrameset = oGetDetailsPaneFrameset(parent);
    if (!oFrameset || !oFrameset.sUpdateDefaultBookmarkName)
      oFrameset = oGetInformationViewFrame();
  }

 if (oFrameset && oFrameset.sUpdateDefaultBookmarkName)
   vsDefaultBookmarkName = oFrameset.sUpdateDefaultBookmarkName(vsDefaultBookmarkName, true);
  else {
    if (!vsDefaultBookmarkName) {
      if (!vsDefaultBookmarkName && (typeof(sGetBookmarkDefaultName) === "function"))
        vsDefaultBookmarkName = sGetBookmarkDefaultName();

      if (!vsDefaultBookmarkName && (typeof(sGetViewName) === "function"))
        vsDefaultBookmarkName = sGetViewName();

      if (vsDefaultBookmarkName)
        vsDefaultBookmarkName = HTMLEscapeToURLEscape(vsDefaultBookmarkName);

      if (!vsDefaultBookmarkName)
        vsDefaultBookmarkName = '<#ViewName ENC="url">';
    }
  }

  if (vsDefaultBookmarkName)
    _sDefaultBookmarkName = vsDefaultBookmarkName;

  return _sDefaultBookmarkName;
}

function sGetBookmarkButton(vsDefaultBookmarkName, vbExcludeTableCells)
{
  if (<#IsPortalReadonly true="true" false="false"> && !<#EnableBookmarksForViewUsers true="true" false="false">)
    return "";

  sUpdateDefaultBookmarkName(vsDefaultBookmarkName);

  var sHREF;
  if (bInPortal())
    sHREF = "javascript:oGetInformationView().OpenBookmarkEditor()";
  else
    sHREF = "javascript:OpenBookmarkEditor()";

  var sName = "<#LocalizedText id="Bookmark">";

  if (vbExcludeTableCells)
    return sGetButtonHTML(sName, sHREF);
  else
    return sGetToolbarIconButtonHTML(sName, sHREF, "<#PortalImageFileLocation>icon_star.png");
}

function sGetAlternateBookmarks()
{
  return sDecodeURI("<#AlternateBookmarks>");
}

function sGetBookmarkModelId()
{
  return sDecodeURI("<#BookmarkModelId>");
}

function sGetAddToBasketButton(vsDefaultBookmarkName, vbExcludeTableCells)
{
  if (<#HasRights product="portal" level="update" false="true" true="false">)
    return "";

  sUpdateDefaultBookmarkName(vsDefaultBookmarkName);

  var sHREF = "javascript:OpenWindow(\"<#VTNViewURL VTN="selectbasketitems" CRP="p">\", \"BasketView\", " + iGetBasketViewWidth() + ", " + iGetBasketViewHeight() + ")";
  var sName = "<#LocalizedText id="Add to Basket">";
  if (vbExcludeTableCells)
    return sGetButtonHTML(sName, sHREF);
  else
    return sGetToolbarIconButtonHTML(sName, sHREF, "<#PortalImageFileLocation>icon_add_to_basket.png");
}

function bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem)
{
  var oFrameset = oGetDetailsPaneFrameset(parent);
  if (oFrameset && oFrameset.bGetBasketItems)
    return oFrameset.bGetBasketItems(AddView, AddDataItem, AddElement, AddBriefingItem);
  return bGetBasketItemsEx(AddView, AddDataItem, AddElement, AddBriefingItem, "<#BasketItems enc="js">", _sDefaultBookmarkName);
}

function sGetDefaultToolbarButtons(vsDefaultBookmarkName, vsAdditionalToolbarHTML)
{
  if ((typeof(sGetBookmarkButton) != "undefined") &&
      (typeof(sGetAddToBasketButton) != "undefined") &&
      (typeof(sGetCopyLinkButton) != "undefined"))
    return sGetBookmarkButton(vsDefaultBookmarkName) +
           sGetAddToBasketButton(vsDefaultBookmarkName) +
           sGetCopyLinkButton() +
           (vsAdditionalToolbarHTML ? vsAdditionalToolbarHTML : "");
  else 
    return "";
}

function sGetActionsButton()
{
  var oMainView = oGetMainView();
  if (oMainView && oMainView.bIsLicensedActions())
    return sGetToolbarIconButtonHTMLForOpenInformationView("<#LocalizedText id="Actions">", "<#AttachURL>", "<#PortalImageFileLocation>icon_actions.png");
  else
    return "";
}

function sGetDefaultToolbarButtonsWithActions(vsDefaultBookmarkName, vsAdditionalToolbarHTML)
{
  return sGetDefaultToolbarButtons(vsDefaultBookmarkName, sGetActionsButton() + (vsAdditionalToolbarHTML ? vsAdditionalToolbarHTML : ""));
}

function sGetCopyLinkButton(vbExcludeTableCells)
{
  var sLink;
  if (bInPortal())
    sLink = "javascript:oGetInformationView().CopyLink()";
  else
    sLink = "javascript:CopyLink()";

  var sCaption = "<#LocalizedText id="Copy Link">";
  if (vbExcludeTableCells)
    return sGetButtonHTML(sCaption, sLink);
  else
    return sGetToolbarIconButtonHTML(sCaption, sLink, "<#PortalImageFileLocation>icon_linked.gif", undefined, undefined, "copyLink");
}

function CopyLink()
{
  var sText = "<#BookmarkUrl>";
  if (typeof(sAdjustLinkForCopy) != "undefined")
    sText = sAdjustLinkForCopy(sText);

  var oHeaderView = oGetHeaderView();
  if (oHeaderView &&
      oHeaderView.sGetViewDescriptor &&
      oHeaderView.sGetSubViewDescriptor &&
      oHeaderView.sGetViewParameters)
  {
    sText = sSetParameter(ACT_PARAM_SELECTED_TAB, oHeaderView.sGetViewDescriptor(), sText);
    sText = sSetParameter(ACT_PARAM_SELECTED_TAB_PAGE, oHeaderView.sGetSubViewDescriptor(), sText);
    sText = sSetParameter(ACT_PARAM_SELECTED_TAB_PAGE_PARAMETERS, oHeaderView.sGetViewParameters(), sText);
  }  

  if (window.clipboardData && window.clipboardData.setData)
    window.clipboardData.setData('Text', sText);
  else
    window.prompt("<#LocalizedText id='Copy Link'>: Ctrl+C", sText);
}

var googleAnalyticsReported = false;	// Google Analytics

// Google Analytics. Information view triggers GA only if detailspane is not in use
function trackGoogleAnalyticsFromInformationView() 
{
  if (!oGetDetailsPane()) 
  {
    trackGoogleAnalytics();
  }
}

// Google Analytics
function trackGoogleAnalytics() {
  if (oGetMainView) 
  {
    var oMainView = oGetMainView();
  }
  
  if (oGetHierarchyView) 
  {
    var oHierarchyView = oGetHierarchyView();
  }
  
  if (!googleAnalyticsReported && oHierarchyView && oHierarchyView.getGoogleAnalyticsPage && oMainView && oMainView.trackGoogleAnalytics) 
  {
    oMainView.trackGoogleAnalytics("pageview", {
      'page': oHierarchyView.getGoogleAnalyticsPage(),
      'dimension2': (oGetInformationView && oGetInformationView().sGetViewNameforGA?oGetInformationView().sGetViewNameforGA():""),
      'dimension3': oHierarchyView.getModelName(),
      'dimension4': (typeof sGetHierarchyLabel!='undefined'?sGetHierarchyLabel():oHierarchyView.getScorecardName()),
      'dimension5': (oGetDetailsPane()?oGetDetailsPane().sGetObjectName():(typeof sGetObjectName!='undefined'?sGetObjectName():""))
    });
    googleAnalyticsReported = true;
  }
}
// Google Analytics
function sGetViewNameforGA() 
{
  return "<#ViewSettingsName>";
}

</script>
<!-- [QPRTemplateEnd: jsportaltoolbarutils.tpl] -->
