<!DOCTYPE html>
<!-- [QPRTemplateStart: subpssummary.tpl] -->

<html>
<head>
<title><#title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
<meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no, width=device-width">
<#PortalScript>
<#Include template="jswsfutils.tpl">
<link type="text/css" href="<#CSSFileLocation>elementtooltips.css" rel="stylesheet" />
<script type="text/javascript">

var _bUseSlicePrintWebApp = false;
var oAccessor = WSFUtils();

var TOOLTIP_PROPERTIES = [
        {"element":"global", "label":"Name", "webserviceproperty":"name"},
        {"element":"global", "label":"Type", "webserviceproperty":"typename"},
        {"element":"global", "label":"Owner", "webserviceproperty":"owner.name"},
        {"element":"global", "label":"Description", "webserviceproperty":"description", maxchars: 1000, omitifempty: true },
  ]

TOOLTIP_EXCLUDE_CRITERIA = "typename<>\"Organization Item\" AND typename<>\"Information Item\"";

function bOpenPrintView(vsPrintViewURL)
{
  if (!_bUseSlicePrintWebApp){
    return false;
  }
  var sWindowName = 'PrintWindow' + (new Date()).getTime();
  PromptPrintingMode(function(x, y, orientation) {
    var sUrl = '';
    sUrl = sSetParameter("XPAGES", x, sUrl);
    sUrl = sSetParameter("YPAGES", y, sUrl);
    sUrl = sSetParameter("ORIENT", orientation, sUrl);
    sUrl = sSetParameter("LMARGIN", 15, sUrl);
    sUrl = sSetParameter("RMARGIN", 15, sUrl);
    sUrl = sSetParameter("TMARGIN", 15, sUrl);
    sUrl = sSetParameter("BMARGIN", 15, sUrl);
    sUrl = sSetParameter("IMAGEURL", sEncodeURI(oGetImageData(1, null).src), sUrl);
    SubmitURLviaForm(sGetWSFLocation() + '/ImageSlice.aspx', sWindowName, null, null, sUrl);
  });
  return true;
}

function PromptPrintingMode(voPrint)
{
  var oMainView = oGetMainView(), oButtons = {}, $;
  if ( !oMainView )
    voPrint(1,1);
  $ = oMainView.$;
  var div = $('<div>').html(window.$('#PrintDialogTemplate').html());
  
  oButtons[sDecodeURI('<#LocalizedTextMessage id="OK">')] =
    function() {
      var XValue = div.find('.XInput').val();
      var YValue = div.find('.YInput').val();
      var re = new RegExp('^[1-9][0-9]?$');
      if (re.test(XValue) && re.test(YValue)){
        var orientationValue = div.find('input:checked').val(); 
        $(this).dialog('close');
        oGetImageData(1, null);
        voPrint(XValue, YValue, orientationValue);
      } else {
        alert(sDecodeURI('<#LocalizedTextMessage id="[Pages wide] and [Pages high] should be a number from 1 to 99">'));
      }
    };

  $(div).dialog({
    title: sDecodeURI('<#LocalizedTextMessage id="Page setup">'),
    buttons: oButtons,
    minHeight: 10,
    minWidth: 10,
    resizable: false
  });
}
</script>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>
<script type="text/javascript" src="<#CommonScriptFileLocation>toolframeutils.js"></script>

<link type="text/css" href="<#CSSFileLocation>jquery-ui.css" rel="stylesheet" />

<#stylesheet>

<style type="text/css">
.PropertyList caption .LinkRight {
  margin-top: 0px;
}
</style>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jswsfutils.tpl">
<#Include template="powerpointflowchartexporter.tpl">

<script type="text/javascript">
var _bHasRightsToData = <#HasObjectRights level="view" true="true" false="false">;
var _bDescriptionShown = false;
var _bFullScreen = (self.name === "fullscreen");

function UpdateHierarchyParameters(vsParameters,vbBoolean)
{
  if ((self.name == 'fullscreen') || (self == parent)) {
    var zoomvalue = vsParameters.substring((vsParameters.indexOf('ZOOM=')+5));
    zoomvalue = zoomvalue.substring(0,zoomvalue.indexOf("&"));
    if (zoomvalue.indexOf('%') != -1) { zoomvalue = zoomvalue.substring(0,zoomvalue.indexOf("%")+1); }
    document.forms.fullscreenzoom.action = self.location.href;
    document.forms.fullscreenzoom.method = "post";
    document.forms.fullscreenzoom.selecedzoomvalue.value = zoomvalue;
    document.forms.fullscreenzoom.submit();
    return;
  }
  else {
    if (parent && parent.UpdateHierarchyParameters)
      parent.UpdateHierarchyParameters(vsParameters,vbBoolean);
  }
}
  
function NSReload()
{
  if ((navigator.appName.indexOf('Netscape') >= 0) && (navigator.appVersion.indexOf("4.") >= 0 )) {
    document.location.reload(true); }
}

// Called when going to another process level from links on this flowchart
function sPGOpenInfoViewFromFlowchart(vsUrl, vId)
{
  var sZoomLevel;
  var oHeaderView = oGetHeaderView();
  if (oHeaderView && oHeaderView.sGetHierarchyParameters)
    sZoomLevel = sGetParameter("ZOOM", oHeaderView.sGetHierarchyParameters());
    
  if (sZoomLevel == null || sZoomLevel == '')
    sZoomLevel = sGetParameter("ZOOM", sGetDocumentLocation());
  
  vsUrl = sSetParameter("ZOOM", sZoomLevel, vsUrl);
  OpenInformationView(vsUrl, vId, true);
}


function sGetDetailsItem()
{
  if (_bHasRightsToData)
    return sGetToolbarIconButtonHTMLForOpenInformationView("<#LocalizedText id="Show Details">", "<#ViewURL VTN="subprocessdetails" ForwardedParameters="zoom,fit,vie">", "<#PortalImageFileLocation>btn_details.gif");
  else
    return "";
}

function sGetViewSettingsItem()
{
	var sUrl = "<#tool_viewsettingsviewaction>";
	var sItemText = "<#LocalizedText id="Views">";
	return sGetToolbarIconButtonHTMLForSizedPopup(sItemText, sUrl, 280, 200, "<#PortalImageFileLocation>icon_view.png");
}

function sGetGraphSettingsItem()
{
  if (bHasDetailsPane()) {
    var sUrl = "<#Tool_ZoomUrl>";
    return sGetToolbarIconButtonHTMLForSizedPopup("<#localizedtext id="Graph Settings">", sUrl, 320, 230, "<#PortalImageFileLocation>icon_graph_settings.png");
  } else {
    return "";
  }
}

function sGetFullScreenItem()
{
  if (bHasDetailsPane())
    return sGetToolbarIconButtonHTML("<#LocalizedText id="Full Screen">", "javascript:oGetInformationViewFrame().OpenFullScreenFlowchart()", "<#PortalImageFileLocation>icon_fullscreen.gif");
  else
    return "";
}

// Print Diagram
function sGetShowFlowchartAsImageButton()
{
  return sGetToolbarIconButtonHTML("<#LocalizedText id="Printable Image">", "javascript:oGetInformationViewFrame().openPrintableImage()", "<#PortalImageFileLocation>show_image.png");
}

function sGetOfficeExportItem()
{
  var oMainView = oGetMainView();
  return !oMainView || !oMainView.bIsLicensedPowerPointExport() || IPAD ||
         <#HasRights product="portal" level="update" true="false" false="true">
         ? '' :
           sGetToolbarIconButtonHTML("<#LocalizedText id="Export to Office">", "javascript:oGetInformationViewFrame().OfficeExport()", "<#PortalImageFileLocation>icon_office.png");
}

// Print Diagram
function sGetLocalToolbarHTML()
{
  return sGetDetailsItem() + sGetViewSettingsItem() + sGetProcessLevelUpItem() + sGetGraphSettingsItem() + sGetShowFlowchartAsImageButton() + sGetFullScreenItem() + sGetOfficeExportItem();
}

// Add Comment button add-on
function sGetAddFeedbackItem()
{
  var iType = "<#FeedbackActionType>";
  if (iType > 0) {
    var sFURL = "<#AddActionURL>";
    var sUrl = sFURL.replace(/ATY=1/gi,"ATY=" + iType);
    return sGetToolbarIconButtonHTMLForSizedPopup("<#localizedtext id="Add Comment">", sUrl, 720,360, "<#PortalImageFileLocation>icon_edit.png");
  }
  return "";
}

function sGetViewId()
{
  return "<#ObjectId>";
}

// Add Comment button add-on
function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions("<#ViewName ENC="js">") + sGetAddFeedbackItem();
}

function sGetHeaderViewRightHTML()
{
  return "<#LocalizedText id="View:">&nbsp;<#ViewSettingsName>";
}

function sGetHelpFile()
{
  return "<#HelpFileURL>?processmaps.htm";
}

var oFullSizeWinObject = "";

function SetFullSizeWindowObject(voWinObject)
{
  oFullSizeWinObject = voWinObject;
}

function CloseFullSizeWindow()
{
  if(self.name != 'fullscreen') {
    if(oFullSizeWinObject)
        oFullSizeWinObject.close();
  }
}

function OnLoad()
{
  UpdateInformationViewToolbarsFromInformationView();
  
  if (self.name == 'fullscreen') {
    self.opener.SetFullSizeWindowObject(self);
  }
  
  sModelId = sGetModelId('processes', 'MODELID');
  sURLModelId = <#ModelId>;
  if ((sModelId == "") || (sModelId != sURLModelId)) {
    // Don't overwrite hierarchy parameters if opened from a bookmark
    var bDontOverwriteHierarchyParams =
           (sGetParameter(ACT_PARAM_OPENED_FROM_BOOKMARK,
                          sGetDocumentLocation()) != '')
    var oHeaderView = oGetHeaderView();
    var sPreviousModelId = (bDontOverwriteHierarchyParams && oHeaderView) ?
                             oHeaderView.sGetHierarchyViewParameter('processes', 'MODELID') :
                             '';
    if (oHeaderView && (typeof(oHeaderView.SetHierarchyViewParameter) != "undefined") &&
       (!bDontOverwriteHierarchyParams || !sPreviousModelId)) {
      oHeaderView.SetHierarchyViewParameter('processes', 'MODELID', sURLModelId);
    }
  }

  var bViewHasDetailsPane = bHasDetailsPane() || (bIsInPrintFrame() && oGetInformationViewFrame() && oGetInformationViewFrame().bHasDetailsPane());
  
  if (bViewHasDetailsPane || !_bHasRightsToData || _bFullScreen)
    $("#divFullScreen").css("display", "none");

  if (_bFullScreen || bViewHasDetailsPane)
    $("#DetailsFooter").css("display", "none");

  if (bViewHasDetailsPane) {
    $("caption").css("display", "none");
    $(".OwnerBlock, .DescriptionBlock").css("display", "none");
  }

  $("body").css("visibility", "visible");
  
  $(document).mousemove(storeCursorCoordinates);
  
  oAccessor.LoadProxy(function() {
    oAccessor.AutoAuthenticate(function() {
      $(document).tooltip({
        items: "area",
        show: {
          delay: 500
        },
        position: {
          using: function (obj,info) {
            var charCount = $("div[role=\"tooltip\"]").text().length;
            var tableWidth = $("div[role=\"tooltip\"] div.header").width();
            var tooltipWidth = charCount; //algorithm can also be other
            if (tableWidth > tooltipWidth) tooltipWidth = tableWidth;
            $("div[role=\"tooltip\"]").css("min-width", Math.round(tooltipWidth) + "px");
            var height = $("div[role=\"tooltip\"]").height();
            var width = $("div[role=\"tooltip\"]").width();
            var topPosition = 0;
            if ($(window).height() / 2 > cursorY) {
              topPosition = cursorY + 40;
            } else {
              topPosition = cursorY - 40 - height;
            }
            var leftPosition = cursorX - (width / 2);
            var offset = 0;
            if (leftPosition < 10) offset = 10 - leftPosition;
            if (leftPosition + width > $(window).width() - 20) offset = $(window).width() - 20 - width - leftPosition;
            $(this).css({
              left: (cursorX - (width / 2) + offset) + 'px',
              top: topPosition + 'px'
            });
          }
        },
        open: function(event, ui) {
          $("div[role=\"tooltip\"]").not(ui.tooltip).remove();
        },
        content: function(callback) {
          var href = $(this).attr("href");
          if (href.toLowerCase().indexOf("openexternalmodel") > -1) return;
          href = href.substring(href.indexOf("\"")+1);
          href = href.substring(0, href.lastIndexOf("\""));
          var model = sGetParameter("MODELID", href);
          var element = sGetParameter("OBJECTID", href);
          if (model != "" && element != "") {
            
            var webServiceProperties = new Array();
            for (var i = 0; i < TOOLTIP_PROPERTIES.length; i++) {
              if(webServiceProperties.indexOf(TOOLTIP_PROPERTIES[i].webserviceproperty) == -1) {
                webServiceProperties.push(TOOLTIP_PROPERTIES[i].webserviceproperty);
              }
            }
            
            oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[PG." + model + "." + element + "]", TOOLTIP_EXCLUDE_CRITERIA, "", webServiceProperties.join(","), "", function(result) {
              if (result == null || result.ChildElements == null || result.ChildElements.length == 0 || result.ChildElements[0].ChildElements == null) return;

              var elementType = getAttributeValue(result.ChildElements[0].ChildElements, "typename");
              var useDefaults = true;
              for (var i = 0; i < TOOLTIP_PROPERTIES.length; i++) {
                if (elementType == TOOLTIP_PROPERTIES[i].element) {
                  useDefaults = false;
                  break;
                } 
              }
              
              var content = "";
              var header = "";
              
              for (var i = 0; i < TOOLTIP_PROPERTIES.length; i++) {
                if (elementType == TOOLTIP_PROPERTIES[i].element || (useDefaults && TOOLTIP_PROPERTIES[i].element == "global"))
                {
                  if (TOOLTIP_PROPERTIES[i].label == "Name") {
                    header  = "<div class=\"tooltipheader\">" + getAttributeValue(result.ChildElements[0].ChildElements, TOOLTIP_PROPERTIES[i].webserviceproperty) + "</div>";
                  } else {
                    var attributeValue = getAttributeValue(result.ChildElements[0].ChildElements, TOOLTIP_PROPERTIES[i].webserviceproperty);
                    if (attributeValue == null || (TOOLTIP_PROPERTIES[i].omitifempty == true && attributeValue == "")) {
                      continue;
                    }
                    attributeValue = attributeValue.replace(/\n/g, "<br>");
                    if (TOOLTIP_PROPERTIES[i].maxchars != null && attributeValue.length > TOOLTIP_PROPERTIES[i].maxchars) {
                      attributeValue = attributeValue.substr(0, TOOLTIP_PROPERTIES[i].maxchars) + "...";
                    }
                    content = content + "<tr><th>" + TOOLTIP_PROPERTIES[i].label + ":</th><td>" + attributeValue + "</td></tr>";
                  }
                }
              }
              if (content != "") callback(header + "<table id=\"tooltiptable\">" + content + "</table>");
            }, null);
          }
        }
      });
    }, null);
  }, null);  
  trackGoogleAnalyticsFromInformationView();  // Google Analytics
}

function getAttributeValue(dataset, attribute) {
  for (var i = 0; i < dataset.length; i++) {
    if (dataset[i].Name == attribute) return dataset[i].Value;
  }
  return null;
}

var cursorX;
var cursorY;
var previousMove = null;
function storeCursorCoordinates(event) {
  cursorX = event.pageX;
  cursorY = event.pageY;
  if (previousMove != null && previousMove < new Date((new Date).getTime() - 500)) {
    $("div[role=\"tooltip\"]").remove();
  }
  previousMove = new Date();
}


function sGetHeaderViewLeftHTML()
{
  var sHTML = "<#TitleShort>";
  var sLocator = '<#ProcessLevelLocator OpenerFunction='OpenInformationView' InnerLinkParams='' EndSeparator="" LevelSeparator="/">';

  if (sLocator)
    sHTML += "<span style=\"padding-left: 20px;\">" + sGenerateLocator(sLocator) + "</span>";
  return sHTML;
}

function OpenNotesList(vsUrl, vsElementDetailsUrl)
{
  if (bHasDetailsPane())
  {
    var oFrameset = oGetDetailsPaneFrameset();
    if (oFrameset && typeof(oFrameset.OpenDetailsPanePage) !== "undefined")
    {
      oFrameset.OpenDetailsPanePage(vsElementDetailsUrl, "Notes");
      return;
    }
  }
  OpenInformationView(vsUrl);
}

function sModifyInformationViewUrlForDetailsPane(vsUrl)
{
  var sCurrentUrl = sGetDocumentLocation();
  if (sGetPlugin(vsUrl) === sGetPlugin(sCurrentUrl))
    vsUrl = sSetParameter("DEP", "1", vsUrl);
  return vsUrl;
}

</script>
</head>

<body style="visibility: hidden; height: 100%" onload="javascript: OnLoad();" onUnload="javascript: CloseFullSizeWindow(); if (bInPortal()) {UpdateInformationViewToolbarsFromInformationView(true); }">
  <div id="PropertyListWrapper" class="PropertyList" style="overflow: hidden;">
    <#Include template="pg_detailsview_description.tpl">

<#Include template="pg_detailsview_graph.tpl" firsttable="1" Height="600px">
  </div>

  <div id="divFullScreen" class="PropertyList">
    <#include template="pg_detailsview_recentactions.tpl" max_num_elements="10">
    <#Include template="pg_detailsview_measures.tpl">
  </div>
  
  <div id="PrintDialogTemplate" style="display: none">
    <label><#LocalizedText id="Pages wide:"> </label>
    <br/>
    <input type="text" class="XInput" value="1" />
    <br/>
    <label><#LocalizedText id="Pages high:"> </label>
    <br/>
    <input type="text" class="YInput" value="1" />
    <br/>
    <label><#LocalizedText id="Orientation:"> </label>
    <br/>
    <input type="radio" name="orientation" value="1" checked="true"/> 
    <#LocalizedText id="Portrait">
    <br />
    <input type="radio" name="orientation" value="0" /> 
    <#LocalizedText id="Landscape">
    <br />
  </div>
  
  <#Include template="pg_detailsview_footer.tpl">

  <form name="fullscreenzoom">
    <input type="hidden" name="selecedzoomvalue" value="" />
  </form>

</body>
</html>
<!-- [QPRTemplateEnd: subpssummary.tpl] -->
