<!DOCTYPE html>
<!-- [QPRTemplateStart: mainview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <meta name="viewport" content="initial-scale=1.0, maximum-scale=5.0, minimum-scale=1.0, user-scalable=yes, width=device-width">
    <link rel="apple-touch-icon" sizes="76x76" href="<#ImageFileLocation>ipad_icon.png">
    <link rel="apple-touch-icon" sizes="152x152" href="<#ImageFileLocation>ipad_icon_retina.png">
    <link type="text/css" rel="styleSheet" href="<#CSSFileLocation>jquery-ui.css">
    <link type="text/css" rel="styleSheet" href="<#CSSFileLocation>jquery-ui-qpr.css">
    <link type="text/css" rel="styleSheet" href="<#CSSFileLocation>layout-default.css">
    <#stylesheet>

<script type="text/javascript">
function bIsPortalMainView() { return true; }
</script>

    <#PortalScript>

    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery_inputplaceholder.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery-ui.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery.ui.touch-punch.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery.layout.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>toolframeutils.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>scrollpositionhistory.js"></script>
<script type="text/javascript">
var _sEmptyPage = '<#PageFileLocation>empty.html';
var _sInformationViewLocation = _sEmptyPage;
var undefined;
var _bLogout = false;
var _slRegisteredAutomaticHierarchyParameters;
var _iCookieExpirationTimeout = 5000;
var _arTempEditFields;
var _sCssLeft = _bIsRTL ? "right" : "left";
var _sCssRight = _bIsRTL ? "left" : "right";
var _sCssPaddingLeft = _bIsRTL ? "padding-right" : "padding-left";
var _sCssPaddingRight = _bIsRTL ? "padding-left" : "padding-right";
var _sCssMarginLeft = _bIsRTL ? "margin-right" : "margin-left";
var _sCssMarginRight = _bIsRTL ? "margin-left" : "margin-right";

var _bForceHierarchyHidden = false;
var _bMinimizedPortalFrameset = false;
var _iDefaultPortalMode = parseInt('<#PortalDefaultMode>');
var _bHidePortalModeChange = <#HidePortalModeChange true="true" false="false">;
var _oLayout;
var _sHierarchyViewUrl;
var _bInitLayoutAsClosed = false;
var _oLayoutSettings;
var _sMaxSlideCount = '<#MaxSlideCount>';
{
  var OnCloseHierarchy = function()
  {
    $("#ContentFramesWrapper").addClass("CollapsedHierarchy");
    $("#ContentFramesLeft-toggler").attr("title", "<#LocalizedText id="Show Tree">");
  }

  var OnOpenHierarchy = function()
  {
    $("#ContentFramesWrapper").removeClass("CollapsedHierarchy");
    $("#ContentFramesLeft-toggler .ui-layout-toggler").attr("title", "<#LocalizedText id="Hide Tree">");
  }

  var OnCloseOfficeExport = function()
  {
    oGetInformationViewFrame().OfficeExport();
  }

  _oLayoutSettings =
  {
    spacing_open : 0,
    spacing_closed : 0,
    north__paneSelector: ".ui-layout-outer-north",
    center__paneSelector: "#ContentWrapper",
    center__childOptions: {
      maskIframesOnResize: true,
      fxName: "none",
      resizerTip: "",
      sliderTip: "",
      togglerTip_open: "<#LocalizedText id="Hide Tree">",
      togglerTip_closed: "",
      spacing_open : 7,
      spacing_closed : 7,
      center__maskContents: true,
      center__paneSelector: "#ContentFramesRight"
    }
  };

  var closeText = "<#LocalizedText id="Close">";

  $.extend(_oLayoutSettings.center__childOptions, _oLayoutSettings.center__childOptions,
  _bIsRTL ?
    {
      east__maskContents: true,
      east__paneSelector: "#ContentFramesLeft",
      east__hiddenElementSelector: "#ContentFramesLeft",
      east__onclose: OnCloseHierarchy,
      east__onopen: OnOpenHierarchy,
      west__maskContents: true,
      west__paneSelector: "#ToolFrameDiv",
      west__initHidden: true,
      west__togglerTip_open: closeText,
      west__size: 230,
      west__onclose: OnCloseOfficeExport
    } :
    {
      west__maskContents: true,
      west__paneSelector: "#ContentFramesLeft",
      west__hiddenElementSelector: "#ContentFramesLeft",
      west__onclose: OnCloseHierarchy,
      west__onopen: OnOpenHierarchy,
      east__maskContents: true,
      east__paneSelector: "#ToolFrameDiv",
      east__initHidden: true,
      east__togglerTip_open: closeText,
      east__size: 230,
      east__onclose: OnCloseOfficeExport
    });
}

function OnToggleHierarchy()
{
  if (bIsHierarchyHiddenInLayout())
  {
    $("#ContentFramesWrapper").addClass("CollapsedHierarchy");
    _oLayout.children.center.layout1.open(_bIsRTL ? "east" : "west");
  }
  else
  {
    $("#ContentFramesWrapper").removeClass("CollapsedHierarchy");
    _oLayout.children.center.layout1.close(_bIsRTL ? "east" : "west");
  }
}

function bIsHierarchyHiddenInLayout()
{
  return $("#ContentFramesWrapper").hasClass("CollapsedHierarchy");
}

function bIsRTL()
{
  return _bIsRTL;
}

function sGetHierarchyName()
{
  return sGetSubViewDescriptor();
}

function sGetHierarchyParameters()
{
  return sGetHierarchyParameters();
}

function callFunction(vsUrl, vResultHandler)
{
  CallServerFunction(vsUrl, vResultHandler);
}

function bIsRegisteredAutomaticHierarchyParameter(vsParam)
{
  if (!_slRegisteredAutomaticHierarchyParameters)
    return false;

  for (var i = 0; i < _slRegisteredAutomaticHierarchyParameters.length; ++i) {
    if (vsParam == _slRegisteredAutomaticHierarchyParameters[i])
      return true;
  }
  return false;
}

function RegisterAutomaticHierarchyParameter(vsParam)
{
  if (!_slRegisteredAutomaticHierarchyParameters)
    _slRegisteredAutomaticHierarchyParameters = new Array();
  _slRegisteredAutomaticHierarchyParameters[_slRegisteredAutomaticHierarchyParameters.length] = vsParam;
}

var _bIsMainViewBeingUnloaded = false;
var _bIsInformationViewToolbarUnloaded = false;

function UpdateInformationViewToolbars(vbUnload)
{
  if (vbUnload && _bIsInformationViewToolbarUnloaded)
    return;
  _bIsInformationViewToolbarUnloaded = vbUnload;

  if (!_bIsMainViewBeingUnloaded)
    RefreshToolbar(vbUnload);

  if (vbUnload)
    _slRegisteredAutomaticHierarchyParameters = undefined;
}

function SetInformationViewLocation(vsNewLocation, vbReplace, vbFromHeaderView)
{
  OpenView(vsNewLocation, "InformationView", "", vbReplace);
  _sInformationViewLocation = vsNewLocation;
  if (!vbFromHeaderView)
    OnSelectionChanged();
}

var _arOpenInformationViewCallbacks = [];

function OpenInformationViewWithCallback(vsUrl, vCallbackFunc)
{
  _arOpenInformationViewCallbacks[_arOpenInformationViewCallbacks.length] = vCallbackFunc;
  SetInformationViewLocation(vsUrl, false, true);
}

function OpenInformationView(vsURL, vsObjectId, vbDoNotRecurseIntoOpener)
{
  var oHierarchyTree = oGetHierarchyTreeView();
  if (oHierarchyTree && oHierarchyTree.OpenInformationView)
    oHierarchyTree.OpenInformationView(vsURL, vsObjectId, true, vbDoNotRecurseIntoOpener);
  else
    SetInformationViewLocation(vsURL);
}

function oGetHierarchyView()
{
  if (bExists(MenuView))
    return MenuView;
}

function sGetInformationViewLocation()
{
  return _sInformationViewLocation;
}

function DirectSetInformationViewLocation(vsLocation)
{
  _sInformationViewLocation = vsLocation;
}

function bIsMenuSizeLocked()
{
  return bIsSequenceWorkflowOpened();
}

function bIsHierarchyShown()
{
  return !_bForceHierarchyHidden && !bIsHierarchyHiddenInLayout();
}

function ResizeHierarchyViewFromCookie()
{
  if (bIsHierarchyShown() && !bIsMenuSizeLocked()) {
    var iSize = SafeParseInt(sReadCookie("HW_" + sGetMenuId(), "205"), 205);
    if (_oLayout)
      _oLayout.children.center.layout1.sizePane(_bIsRTL ? "east" : "west", iSize);
    ResizeFrames();
  }
}

function ShowOfficeExportPane(vbShow)
{
  if (vbShow)
    _oLayout.children.center.layout1.show(_bIsRTL ? "west" : "east");
  else
    _oLayout.children.center.layout1.hide(_bIsRTL ? "west" : "east");
}


function WriteHierarchyWidthToCookie()
{
  if (!_bFramesetInitialized)
    return;

  var sPage = sGetMenuId();
  if (bIsHierarchyShown() && (sPage != '')) {
    var iSize = _bIsRTL ? _oLayout.children.center.layout1.state.east.size : _oLayout.children.center.layout1.state.west.size;
    if (iSize >= 0)
    {
      WriteCookie("HW_" + sPage, iSize, null, '/', null);
    }
  }
}


var _bDisableCookieWriting = false;

function WriteCookie(sName, sValue, sExpires, sPath, sDomain)
{
  if (_bDisableCookieWriting)
    return;

  var sCookie = '';
  sCookie = sEncodeURI(sName) + '=' + sEncodeURI(sValue);
  if (sExpires != null) sCookie += '; expires=' + sExpires;
  if (sPath != null) sCookie += '; path=' + sPath;
  if (sDomain != null) sCookie += '; domain=' + sDomain;

  document.cookie = sCookie;
  return;
}

function sReadCookie(sName, sDefaultValue)
{
  var sResult;
  var sAllCookies = document.cookie;

  var iBegin = sAllCookies.indexOf(sName + "=");
  if (iBegin == -1) {
    sResult = sDefaultValue;
  }
  else {
    iBegin = sAllCookies.indexOf("=", iBegin) + 1;
    var iEnd = sAllCookies.indexOf(";", iBegin);

    if (iEnd == -1)
      iEnd = sAllCookies.length;

    sResult = sDecodeURI(sAllCookies.substring(iBegin, iEnd));
  }
  return sResult;
}

var _bInPortalFrameset = false;

function ReloadPortalFramesetIntoParent(voParent)
{
  try
  {
    if ((voParent != self) && (voParent.location.href != document.location.href)) {
      _bInPortalFrameset = true;
      voParent._bDisableCookieWriting = true; // prevent parent from overwriting cookie information
      voParent.location.replace(document.location);
    }
    else {
      _bDisableCookieWriting = true;
      document.location.replace(_sEmptyPage);
    }
  }
  catch(e)
  {
  }
}

function CheckParentsForPortalFramesetRec(voParent)
{
  try
  {
    if (voParent && voParent != window)
    {
      if (voParent.bIsPortalMainView && voParent.bIsPortalMainView())
        ReloadPortalFramesetIntoParent(voParent);
      else if (voParent != voParent.parent)
        CheckParentsForPortalFramesetRec(voParent.parent);
    }
  }
  catch(e)
  {
    if (voParent)
      ReloadPortalFramesetIntoParent(voParent);
  }
}

CheckParentsForPortalFramesetRec(parent);

/* Server cookie management utility class begin -------------------- */
function ServerCookieContainer()
{
  this.pslCookies = new Array();
}

function ServerCookieContainer_sGetCookies(vbDontIcludeBrowserSideOnlyCookies)
{
  var sServerCookies = '';
  for (var i = 0; i < this.pslCookies.length; i += 2) {
    var sKey = this.pslCookies[i];
    if (vbDontIcludeBrowserSideOnlyCookies && (sKey.charAt(0) == "_"))
      continue;

    if (sServerCookies.length > 0)
      sServerCookies += "&";
    sServerCookies += sKey + "=" + sEncodeURI(this.pslCookies[i + 1]);
  }
  return sServerCookies;
}
ServerCookieContainer.prototype.sGetCookies = ServerCookieContainer_sGetCookies;

function ServerCookieContainer_ReadCookies(vsData)
{
  if (!vsData || (vsData == ""))
    return;

  this.pslCookies = new Array();

  var i, t, slParamValue, slServerCookiesTmp = vsData.split("&");
  for (i = 0; i < slServerCookiesTmp.length; ++i) {
    var sCookie = sDecodeURI(slServerCookiesTmp[i]);
    slParamValue = sCookie.split("=");
    if ((slParamValue[0] == "") || (slParamValue[0] == ""))
      continue;
    this.pslCookies.push(slParamValue[0]);
    this.pslCookies.push(sDecodeURI(slParamValue[1]));
  }
}
ServerCookieContainer.prototype.ReadCookies= ServerCookieContainer_ReadCookies;

function ServerCookieContainer_SetValue(vsKey, vsValue, vbBrowserSideOnly)
{
  var sKey = vbBrowserSideOnly ? "_" + vsKey : vsKey;

  for (var i = 0; i < this.pslCookies.length; i += 2) {
    if (this.pslCookies[i] == sKey) {
      this.pslCookies[i + 1] = vsValue;
      return;
    }
  }
  this.pslCookies.push(sKey);
  this.pslCookies.push(vsValue);
}
ServerCookieContainer.prototype.SetValue = ServerCookieContainer_SetValue;

function ServerCookieContainer_sGetValue(vsKey)
{
  for (var i = 0; i < this.pslCookies.length; i += 2) {
    var sKey = this.pslCookies[i];
    if ((sKey == vsKey) || (sKey == "_" + vsKey))
      return this.pslCookies[i + 1];
  }
  return "";
}
ServerCookieContainer.prototype.sGetValue = ServerCookieContainer_sGetValue;

var _olServerCookieViews = new Array();
var _oServerCookieContainer = new ServerCookieContainer();
var _bServerCookiesLoaded;
/* Server cookie management utility class end -------------------- */


var _sSessionId = "any";
var _sCurSessionId = "<#SESSIONID>";
var _sHeadViewName = sReadCookie('MainHeadViewName');
var _sSubsHeadViewName = sReadCookie('SubHeadViewName');
var _sSubsHeadViewParams = sReadCookie('SubHeadViewParams');
var _sIFLReadFromCookie = sReadCookie("IFL", "");
var _sXlink = sReadCookie('XLINK');
var _sSearchCriteria = sReadCookie('TXT');
var _bLoaded = false;
var _sLastSelectedPerId = '<#GetCookieValue key="LASTSELPERID" product="QPRPORTAL">';
var _sLastSelectedPerDate = '<#GetCookieValue key="LASTSELPERDATE" product="QPRPORTAL">';
var _sLastSelectedPatId = '<#GetCookieValue key="LASTSELPATID" product="QPRPORTAL">';
var _bUseDefaultView = true;

var _sInformationViewSubFrames = new Array();

if (_sIFLReadFromCookie) {
  _bUseDefaultView = SafeParseInt(sGetParameter(ACT_PARAM_BOOKMARK_EXCLUDE_VIEW, _sIFLReadFromCookie), 0) != 0;
  if (_bUseDefaultView) {
    _sIFLReadFromCookie = "";
    _sSubsHeadViewParams = "";
  }
}


function bIsValidCookieSession()
{
  return (!bForceDefaultView() &&
          ((_sSessionId == "any") || (_sSessionId == _sCurSessionId)) &&
           (_sHeadViewName && (_sHeadViewName != "")));
}

function bCookieContainsCompleteInformationViewUrl()
{
  return (_sIFLReadFromCookie.length > 0) && (_sIFLReadFromCookie.charAt(0) !== "&");
}

var _bInformationViewLocked = false;

function bIsInformationViewLocked(vbOnHierarchyViewLoaded)
{
  if (sGetAction(_sInformationViewLocation) == "prmav")
    return false;

  if (_bInformationViewLocked) {
    if (vbOnHierarchyViewLoaded) {
      _bLoaded = true;
      _bInformationViewLocked = false;
    }
    return true;
  }

  var bWasLoaded = _bLoaded;
  if (vbOnHierarchyViewLoaded)
    _bLoaded = true;
  return (!_bUseDefaultView && (bIsValidCookieSession() && bCookieContainsCompleteInformationViewUrl() && !bWasLoaded));
}

function bForceDefaultView()
{
  return ("FORCEDEFAULT" == _sHeadViewName);
}

function ClearViewCookies()
{
  var oExpireDate = oGetCookieExpireDate();
  WriteCookie("IFL", "", oExpireDate.toGMTString());
  WriteCookie("MainHeadViewName", "", oExpireDate.toGMTString());
  WriteCookie("SubHeadViewName", "", oExpireDate.toGMTString());
  WriteCookie("SubHeadViewParams", "", oExpireDate.toGMTString());
  WriteCookie("XLINK", "", oExpireDate.toGMTString());

  _sIFLReadFromCookie = "";
  _sHeadViewNameReadFromCookie = "";
  _sSubsHeadViewNameReadFromCookie = "";
  _sSubsHeadViewParamsReadFromCookie = "";
  _sSessionIdReadFromCookie = "any";
}

function ResizeFrames()
{
  var oInformationView = oGetInformationView();
  try {
    if (oInformationView && oInformationView.OnPortalFramesResized)
      oInformationView.OnPortalFramesResized();
  }
  catch (e) {
  }
}

function bIsSequenceWorkflowOpened()
{
  var bLocalDomain = (sParseDomain(sGetInformationViewLocation()) == self.document.domain);
  var oInformationView = self.frames["InformationView"];
  try {
    return bLocalDomain && oInformationView && oInformationView.bIsSequenceWorkflow;
  }
  catch (e) {
    return false;
  }
}

function OnForwardHierarchyParametersFromInformationView(vsParams)
{
  if (vsParams)
    _sSubsHeadViewParams = sSetParameters(vsParams, _sSubsHeadViewParams);
}

function sGetTabPageNameReadFromCookie()
{
  return _sHeadViewName;
}

var _sHeadViewNameReadFromCookie = _sHeadViewName;
var _sSubsHeadViewNameReadFromCookie = _sSubsHeadViewName;
var _sSubsHeadViewParamsReadFromCookie = _sSubsHeadViewParams;
var _sSessionIdReadFromCookie = _sSessionId;

function InitializeFrameSettings()
{
  if (bIsValidCookieSession()) {
    if(_sIFLReadFromCookie && bCookieContainsCompleteInformationViewUrl())
      _sInformationViewLocation = _sIFLReadFromCookie;
    else
      return;

    if (!_sXlink) {
      var x=0;
      while(document.cookie.indexOf('IFL'+x)!=-1)
      {
        _sInformationViewSubFrames[x] = sReadCookie('IFL'+x);
        x++;
      }
    }
  }
}

// Currently used frame indexes:
// 0 = Worker frame of sc/sc_actioncallview.tpl
function sGetStoredInformationFrameSrcByIndex(iFrameIndex)
{
  var sLocation = "";
  if((_sInformationViewSubFrames[iFrameIndex] != "") &&
     (_sInformationViewSubFrames[iFrameIndex] != "undefined") &&
     (_sInformationViewSubFrames[iFrameIndex] != undefined))
  {
    sLocation = _sInformationViewSubFrames[iFrameIndex];
  }
  _sInformationViewSubFrames[iFrameIndex] = "";
  return sLocation;
}

function bCookieWrittenByRequest()
{
  var sInformationFrameLocation = sReadCookie("IFL", "");
  var sHeadViewName = sReadCookie("MainHeadViewName");
  var sSubsHeadViewName = sReadCookie("SubHeadViewName");
  var sSubsHeadViewParams = sReadCookie("SubHeadViewParams");
  return ((sInformationFrameLocation && (_sIFLReadFromCookie != sInformationFrameLocation)) ||
          (sHeadViewName &&  (sHeadViewName != _sHeadViewNameReadFromCookie)) ||
          (sSubsHeadViewName &&  (sSubsHeadViewName != _sSubsHeadViewNameReadFromCookie)) ||
          (sSubsHeadViewParams &&  (sSubsHeadViewParams != _sSubsHeadViewParamsReadFromCookie)));
}

function FSaveServerCookies()
{
  if (!_bServerCookiesLoaded)
    return;

  var i;
  for (i = 0; i < _olServerCookieViews.length; ++i) {
    var oView = _olServerCookieViews[i];
    if (oView && !oView.closed)
      _olServerCookieViews[i].AddCookieState(_oServerCookieContainer);
  }

  _oServerCookieContainer.SetValue("MainView_PortalMode", _bMinimizedPortalFrameset ? "1" : "0");
  FSaveHierarchyViewState();

  var sServerCookies = _oServerCookieContainer.sGetCookies(true);
  CallServerFunction(sSetParameter("SCV", sEncodeURI(sEncodeURI(sServerCookies)), "<#SetCookieValueURL key="ServerCookies">"));
}

function FRestoreHierarchyViewState()
{
  var bHideHierarchyView = _oServerCookieContainer.sGetValue(_bMinimizedPortalFrameset ? "MainView_HideHierarchyView_Mini" : "MainView_HideHierarchyView") === "true";
  if (bHideHierarchyView)
  {
    if (_oLayout)
      _oLayout.children.center.layout1.close(_bIsRTL ? "east" : "west");
    else
      _bInitLayoutAsClosed = true;
  }
  else {
    if (_oLayout)
      _oLayout.children.center.layout1.open(_bIsRTL ? "east" : "west");
    else
      _bInitLayoutAsClosed = false;
  }
}

function FSaveHierarchyViewState()
{
  _oServerCookieContainer.SetValue(_bMinimizedPortalFrameset ? "MainView_HideHierarchyView_Mini" : "MainView_HideHierarchyView", bIsHierarchyHiddenInLayout() ? "true" : "false");
}

var _bResetAllFramesetStateCookies;

function ReloadAndPreventCookieStateSaving(vsURL)
{
  _bResetAllFramesetStateCookies = true;
  ClearViewCookies();
  OpenView(vsURL);
}

function OnLogout()
{
  $("#root-menu-div").empty(); // reset jQuery.menu root container
  _bLogout = true;
  FSaveServerCookies();
  document.location.href = "<#LogoutURL>";
}

function oGetMainMenuFrameset()
{
  return document.getElementById("MainMenu");
}

function ResetSplitter()
{
  if (_oLayout)
  {
    if (_bIsRTL)
      _oLayoutSettings.center__childOptions.east__initClosed = _oLayout.children.center.layout1.state.east.isClosed;
    else
      _oLayoutSettings.center__childOptions.west__initClosed = _oLayout.children.center.layout1.state.west.isClosed;
  }

  if (_oLayout && _oLayout.destroy)
    _oLayout.destroy();
  _oLayout = $('#MainViewPageWrapper').layout(_oLayoutSettings);
}

function bIsOfficeExportFrameClosed()
{
  if (!_oLayout)
    return true;
  if (_bIsRTL)
    return _oLayout.children.center.layout1.state.west.isClosed;
  else
    return _oLayout.children.center.layout1.state.east.isClosed;
}

function RestorePortalFrameset()
{
  if (!_bMinimizedPortalFrameset)
    return;

  FSaveHierarchyViewState();

  $("#MainViewPageWrapper").removeClass("Minimized");

  var oSearchForm = $("#SearchFormWrapper").get(0);
  $("#MiniSearchFormPlaceholder").get(0).removeChild(oSearchForm);
  $("#SearchFormPlaceholder").get(0).appendChild(oSearchForm);

  _bMinimizedPortalFrameset = false;

  var bHideHierarchyView = _oServerCookieContainer.sGetValue("MainView_HideHierarchyView") === "true";
  if (bIsHierarchyHiddenInLayout() != bHideHierarchyView)
    OnToggleHierarchy();

  ResetSplitter();

  ResizeFrames();

  $("#MainViewPageWrapper").css("visibility", "visible").show();
}

function MinimizePortalFrameset(vbSkipSavingHierarchyViewState)
{
  if (_bMinimizedPortalFrameset)
    return;

  if (!vbSkipSavingHierarchyViewState)
    FSaveHierarchyViewState();

  $("#MainViewPageWrapper").addClass("Minimized");

  var oSearchForm = $("#SearchFormWrapper").get(0);
  $("#SearchFormPlaceholder").get(0).removeChild(oSearchForm);
  $("#MiniSearchFormPlaceholder").get(0).appendChild(oSearchForm);

  _bMinimizedPortalFrameset = true;

  ResetSplitter();

  var bHideHierarchyView = _oServerCookieContainer.sGetValue("MainView_HideHierarchyView_Mini") === "true";
  if (bIsHierarchyHiddenInLayout() != bHideHierarchyView)
    OnToggleHierarchy();

  RefreshMiniToolbar(true);

  ResizeFrames();

  $("#MainViewPageWrapper").css("visibility", "visible").show();
}

function UpdateForceHierarchyState(vbShowHierarchy)
{
  if (_bForceHierarchyHidden == !vbShowHierarchy)
    return;
  _bForceHierarchyHidden = !vbShowHierarchy;
  $("#InformationHeaderButtonDiv").css("display", vbShowHierarchy ? "" : "none");
  UpdateHierarchyViewVisibility();
  ResetSplitter();
}

function FParseServerCookies(vsData)
{
  _oServerCookieContainer.ReadCookies(vsData);
  _bServerCookiesLoaded = true;
}

function bIsMiniPortalSupported()
{
  return !bIsRTL();
}

var _bMainViewPageWrapperInitialized = false;
var _bFramesetInitialized = false;
var _iInitializationAttempts = 0;

function InitializeMainViewPageWrapper()
{
  if (_bMainViewPageWrapperInitialized)
    return;

  if ((++_iInitializationAttempts <= 100) && !_bServerCookiesLoaded) {
    setTimeout(InitializeMainViewPageWrapper, 100);
    return;
  }

  _bMainViewPageWrapperInitialized = true;

  if (_bHidePortalModeChange || !bIsMiniPortalSupported()) {
    $("#RestorePortalFramesetWrapper").css("display", "none");
    $("#MinimizePortalFramesetWrapper").css("display", "none");
  }

  var sMode = _oServerCookieContainer.sGetValue("MainView_PortalMode");
  if (bIsMiniPortalSupported() && (((sMode.length == 0) && (_iDefaultPortalMode == 1)) || (SafeParseInt(sMode, _iDefaultPortalMode) == 1)))
    MinimizePortalFrameset(true);

  var oInformationView = oGetInformationView();
  try {
    if (oInformationView && oInformationView.OnPortalFramesInitialized)
      oInformationView.OnPortalFramesInitialized();
  }
  catch (e) {
  }

  FRestoreHierarchyViewState();

  RefreshToolbar(false, true);

  _bFramesetInitialized = true;
  FShowMainViewPageWrapper();
}

var _bHierarchyViewLoaded = false, _bHierarchyFrameLoaded = false;

function FShowMainViewPageWrapper()
{
  if (_bHierarchyViewLoaded && _bHierarchyFrameLoaded && _bFramesetInitialized && !_oLayout)
  {
    ResetSplitter();

    window.setTimeout(function()
    {
      // Timeout required for chrome
      _oLayout.resizeAll();
    }, 1000);
    if (_bInitLayoutAsClosed)
      OnToggleHierarchy();
  }

  $("#MainViewPageWrapper").css("visibility", "visible").show();
}

function bIsFramesetInitialized()
{
  return _bFramesetInitialized;
}

function OnHierarchyViewLoaded()
{
  _bHierarchyViewLoaded = true;
  FShowMainViewPageWrapper();
}

function OnHierarchyFrameLoaded()
{
  RefreshHierarchyHeaderView();

  _bHierarchyFrameLoaded = true;
  FShowMainViewPageWrapper();
}

function OnHierarchyFrameUnload()
{
  RefreshHierarchyHeaderView(true);
}

function OnServerCookiesRead(vsResult, vsData)
{
  FParseServerCookies(sDecodeURI(vsData));

  for (var i = 0; i < _olServerCookieViews.length; ++i)
    _olServerCookieViews[i].OnCookieLoaded(_oServerCookieContainer);

  InitializeMainViewPageWrapper();
}

function OnServerCookieViewLoaded(voDocument)
{
  _olServerCookieViews[_olServerCookieViews.length] = voDocument;
  if (_bServerCookiesLoaded)
    voDocument.OnCookieLoaded(_oServerCookieContainer);
}

function OnServerCookieViewUnloaded(voDocument)
{
  for (var i = 0; i < _olServerCookieViews.length; ++i) {
    if (_olServerCookieViews[i] == voDocument) {
      _olServerCookieViews.splice(i, 1);
      break;
    }
  }

  if (bExists(voDocument.AddCookieState))
    voDocument.AddCookieState(_oServerCookieContainer);
}

function SaveNavigatorViewTempEditFields(voForm)
{
  if (voForm && voForm.elements)
  {
    for (var i = 0; i < voForm.elements.length; ++i)
    {
      var oElement = voForm.elements[i];
      if (oElement && oElement.id && oElement.value)
      {
        var sId = oElement.id;
        if (sId && (sId != "") && (sId.length > 2) && (sId.slice(0, 3) == "_V_"))
          _arTempEditFields.push(sId + '=' + oElement.value);
      }
    }
  }
}

function LoadNavigatorViewTempEditFields(voDocument, voForm)
{
  if (!_arTempEditFields)
    return;

  while (_arTempEditFields.length > 0)
  {
    var sElement = _arTempEditFields.shift();
    if (sElement && (sElement != ""))
    {
      var arElement = sElement.split("=");
      if (arElement && (arElement.length == 2) && voDocument)
      {
        oElement = voDocument.getElementById(arElement[0]);
        if (oElement)
          oElement.value = arElement[1];
        else if (voForm)
        {
          var oInput = voDocument.createElement('INPUT');
          oInput.type = 'HIDDEN';
          oInput.name = arElement[0];
          oInput.id = arElement[0];
          oInput.value = arElement[1];
          voForm.appendChild(oInput);
        }
      }
    }
  }
}

function CreateNavigatorViewTempEditFields()
{
  if (!_arTempEditFields)
    _arTempEditFields = new Array;
}

function ClearNavigatorViewTempEditFields()
{
  _arTempEditFields.length = 0;
}

function OpenDefaultView()
{
  Restore();
  ShowSubHeader("mycontents", false, true);
}

function OnProcesses()
{
  Restore();
  ShowSubHeader("processes", false, true);
}

function OnPerformance()
{
  Restore();
  ShowSubHeader("scorecards", false, true);
}

function OpenEmptyInformationView()
{
  SetInformationViewLocation(_sEmptyPage, true);
}

function sGetImageRootURL()
{
  return "<#ImageFileLocation>";
}

function HideInformationViewToolbarIfNeeded()
{
  // Not supported by this portal layout.
  return;
}

function sGetQPRCssUrl()
{
  return '<#PortalCSS>';
}

function FbIsPrintableView()
{
  var sURL = sGetInformationViewLocation();
  return ((sParseDomain(sURL) == self.document.domain) &&
          (sGetAction(sURL) != "puqho") &&
          (sURL != _sEmptyPage));
}

function sGetToolbarLeftHTML(vsImagePath, vbAddSplitters)
{
  var sHTML = "";
  var oHierarchyTreeView = oGetHierarchyTreeView();
  if (oHierarchyTreeView && jQuery.isFunction(oHierarchyTreeView.sGetHierarchyToolbarHTML))
    sHTML += oHierarchyTreeView.sGetHierarchyToolbarHTML();

  if (vbAddSplitters)
    sHTML += "<li></li>";

  var oInformationView = oGetInformationView();
  if (FbIsPrintableView())
    sHTML += sGetToolbarIconButtonHTML("<#LocalizedText id="Print">", "javascript:OnPrintClicked()", vsImagePath + "icon_print.png");

  try {
    if (jQuery.isFunction(oInformationView.sGetCommonToolbarHTML)) {
      var sTmp = oInformationView.sGetCommonToolbarHTML();
      if (sTmp)
        sHTML += sTmp;
    }
  } catch (e) { }
  return sHTML;
}

function sGetToolbarRightHTML(vsImagePath, vbAddSplitters)
{
  var sHTML = "";
  var oInformationView = oGetInformationView();
  try {
    if (jQuery.isFunction(oInformationView.sGetLocalToolbarHTML)) {
      var sTmp = oInformationView.sGetLocalToolbarHTML();
      if (sTmp)
        sHTML = sTmp;
      else
        sHTML = "";
    }
    else
      sHTML = "";
  } catch (e) { }
  return sHTML;
}

function RefreshToolbar(vbUnload, vbRefreshWholeToolbar)
{
  if (vbUnload)
    return;

  var sImagePath = "<#PortalImageFileLocation>";

  var sHTML = sGetToolbarLeftHTML(sImagePath);
  var oToolbar = $("#ToolBarLeft");
  oToolbar.html(sHTML);

  sHTML = sGetToolbarRightHTML(sImagePath);
  var oToolbar = $("#ToolBarRight");
  oToolbar.html(sHTML);

  sHTML = "";

  var oInformationView = oGetInformationView();
  try {
    if (jQuery.isFunction(oInformationView.sGetHeaderViewLeftHTML))
      sHTML = oInformationView.sGetHeaderViewLeftHTML();
    else if (jQuery.isFunction(oInformationView.sGetViewName))
      sHTML = oInformationView.sGetViewName();
  } catch (e) {
  }

  if (!sHTML) sHTML = "";

  var oHeaderDiv = $("#InformationHeaderLeftDiv");
  oHeaderDiv.html("<h1>" + sHTML + "</h1>");

  sHTML = "";

  try {
    if (jQuery.isFunction(oInformationView.sGetHeaderViewRightHTML))
      sHTML = oInformationView.sGetHeaderViewRightHTML();
  } catch (e) { }

  if (!sHTML) sHTML = "";

  oHeaderDiv = $("#InformationHeaderRightDiv");
  oHeaderDiv.html(sHTML);

  if (_bMinimizedPortalFrameset)
    RefreshMiniToolbar(vbRefreshWholeToolbar);

  if (_oLayout)
    _oLayout.resizeAll(); // Toolbar height might have changed -> layout must be updated
}

function RefreshHierarchyHeaderView(vbUnload)
{
  var sContent = "";
  if (!vbUnload) {
    var oHierarchyTreeView = oGetHierarchyTreeView();
    var sHTML, sTableHTML, sLabel = "<#LocalizedText id="Hierarchy">";

    if (oHierarchyTreeView && jQuery.isFunction(oHierarchyTreeView.sGetHierarchyLabel)) {
      sContent = "<h1>" + oHierarchyTreeView.sGetHierarchyLabel() + "</h1>";
      if (jQuery.isFunction(oHierarchyTreeView.sGetHierarchyPropertiesURL))
        sContent = "<a href=\"javascript:OpenInformationView('" + oHierarchyTreeView.sGetHierarchyPropertiesURL() + "')\">" + sContent + "</a>";
    }
    else
      sContent = "<h1>" + sGetShownSubHeaderName() + "</h1>";
  }

  var oHeaderDiv = $("#HierarchyHeaderDiv");
  oHeaderDiv.html(sContent);

  RefreshToolbar(vbUnload);
}

function OnPrintClicked()
{
  oGetMainView().sendGoogleAnalyticsEvent("Button", "Print", "");
  var oInformationView = oGetInformationView();

  if (oInformationView) {
    if (FbIsPrintableView()) {
      var sURL;
      var sPrintViewURL = "<#PrintViewURL>";
      var oInformationViewFrame = oGetInformationViewFrame();

      if (bExists(oInformationViewFrame.bOpenPrintView) &&
          oInformationViewFrame.bOpenPrintView(sPrintViewURL))
        return;
      if (bExists(oInformationView.bOpenPrintView)) {
        if (oInformationView.bOpenPrintView(sPrintViewURL))
          return;
      }

      if (typeof(oInformationView.sGetDocumentLocation) !== "undefined")
        sURL = oInformationView.sGetDocumentLocation();
      else
        sURL = oInformationView.location.href;

      // Add PRN-parameter only for dynamic portal generated web pages
      if (bIsPortalUrl(sURL)) {
        sURL = sConvertEncryptedParameterToMixed(sURL);
        sURL = sURL + '&PRN=PRINT';
      }

      sURL = sPrintViewURL + '&URL=' + sEncodeURI(sURL);
      if(sURL.substring(0,sURL.indexOf(":"))=="") {
        sURL = document.location.href.substring(0, document.location.href.indexOf(":")) + sURL;
      }
      OpenWindow(sURL, '_blank', 900, 600, 1);
    }
  }
}

function InitializeEmptyTableHeaderRemoval(voDocument)
{
  $(voDocument).ready(function(){
    $(voDocument).find("tbody").each(function(){
      var oCells = $(this).children("tr").children("td");
      var oHeaders = $(this).children("tr").children("th");

      if (oCells.length == 0)
        oHeaders.parents("tr").css("display", "none");
    });
  });
}

function OnLoad()
{
  var timeoutId;
  $(window).resize(function(){
    if (timeoutId)
      clearTimeout(timeoutId);
    timeoutId = setTimeout(ResizeFrames, 500);
  });
  var lang = sDecodeURI(sGetParameter(ACT_PARAM_LANGUAGE, sGetDocumentLocation()));
  if (lang && lang != '' ) {
    var mainlang = lang.split(',')[0];
    if (mainlang && mainlang != '' )
      $("html").attr("lang", mainlang);
  }
  OnLoadHeaderView();

  if (bIsValidCookieSession())
  {
    var bDefaultView = !_sHeadViewName || (_sHeadViewName == "") || !_sSubsHeadViewName || (_sSubsHeadViewName == "");
    if (!_sHeadViewName || (_sHeadViewName == ""))
      _sHeadViewName = "mycontents";
    if (ShowSubHeader)
      ShowSubHeader(_sHeadViewName, !bDefaultView);
    if (!bDefaultView)
    {
      if (!_sSubsHeadViewName || (_sSubsHeadViewName == ""))
      {
        if (_sHeadViewName == "actions")
          _sSubsHeadViewName = "discussion";
        else if (_sHeadViewName == "scorecards")
          _sSubsHeadViewName = "SCPLUGIN_scorecards";
        else if (_sHeadViewName == "processes")
          _sSubsHeadViewName = "PGPLUGIN_processmaps";
        else
          _sSubsHeadViewName = "home";
      }
      if (OpenSubHeaderView)
        OpenSubHeaderView(_sSubsHeadViewName, _sSubsHeadViewParams, true);
    }
    if (_sLastSelectedPerId && _sLastSelectedPerId != "" && SetNamedVariableValue)
      SetNamedVariableValue('LASTSELPERID',_sLastSelectedPerId, false);
    if (_sLastSelectedPerDate && _sLastSelectedPerDate != "" && SetNamedVariableValue)
      SetNamedVariableValue('LASTSELPERDATE',_sLastSelectedPerDate, false);
    if (_sLastSelectedPatId && _sLastSelectedPatId != "" && SetNamedVariableValue)
      SetNamedVariableValue('LASTSELPATID',_sLastSelectedPatId, false);

    if (bIsSequenceWorkflowOpened())
      Minimize();
  }
  else
    ClearViewCookies();

  WriteCookieQPRCommunityLink("<#QPRCommunityLink>");  // Write QPR Community URL into Cookie

  if (sGetParameter(ACT_PARAM_SESSION_ID, sGetDocumentLocation()))
    QueryServerCookies();

  // Wait until session has been loaded to browser cookie and continue after that.
  setTimeout(function () {
    var i = 0;
    while (++i <= 5000) {
      if (sReadCookie(ACT_PARAM_SESSION_ID, "")) {
        QueryServerCookies();
        return;
      }
    }
    QueryServerCookies("&" + ACT_PARAM_SESSION_ID + "=<#SessionId>");
  }, 1);
}

function QueryServerCookies(vsExtraParams)
{
  callFunction('<#GetCookieValueURL key="ServerCookies">' + (vsExtraParams ? vsExtraParams : ""), OnServerCookiesRead);
  setTimeout(InitializeMainViewPageWrapper, 100);
}

function oGetCookieExpireDate()
{
  return new Date((new Date()).getTime() + _iCookieExpirationTimeout);
}

function sGetDefaultDetailsPaneMode()
{
  return sGetParameter("DPMODE", _sIFLReadFromCookie);
}

function OnUnload()
{
  _bIsMainViewBeingUnloaded = true;

  if (!_bLogout)
    FSaveServerCookies();

  var oExpireDate = oGetCookieExpireDate();
  var oInformationView = oGetInformationView();
  var sURL;
  var bLocalDomain = (sParseDomain(sGetInformationViewLocation()) == self.document.domain);

  if(!bLocalDomain)
  {
    sURL = sGetInformationViewLocation();
  }
  else
  {
    try {
      if (typeof(oInformationView.sGetDocumentLocation) !== "undefined")
        sURL = oInformationView.sGetDocumentLocation();
      else
        sURL = oInformationView.location.href;
    }
    catch(e) {
      bLocalDomain = false;
      sURL = sGetInformationViewLocation();
    }
    if (bLocalDomain) {
      sURL = sRemoveParameter('STATE', sURL);
      sURL = sConvertEncryptedParameterToMixed(sURL);
      if(oInformationView.document.getElementById('PER'))
        sURL += '&PER=' + sEncodeURI(oInformationView.document.getElementById('PER').value);
      if (oInformationView.sDumpState)
        sURL += '&STATE=' + sEncodeURI(oInformationView.sDumpState());
      if (oInformationView.sAddDynamicState)
        sURL = oInformationView.sAddDynamicState(sURL);
    }
  }
  if(document.getElementById('SearchText'))
    WriteCookie('TXT', document.getElementById('SearchText').value, oExpireDate.toGMTString() );

  if (_bResetAllFramesetStateCookies)
    return;

  if (bCookieWrittenByRequest() || (typeof(sGetViewDescriptor) == "undefined"))
    return;

  WriteCookie('IFL', sURL, oExpireDate.toGMTString());

  if (bLocalDomain && oInformationView.WriteStateToCookie)
    oInformationView.WriteStateToCookie(oExpireDate);
  if (sGetViewDescriptor)
    WriteCookie('MainHeadViewName', sGetViewDescriptor(), oExpireDate.toGMTString());
  if (sGetSubViewDescriptor)
    WriteCookie('SubHeadViewName', sGetSubViewDescriptor(), oExpireDate.toGMTString());
  if (sGetViewParameters)
    WriteCookie('SubHeadViewParams', sGetViewParameters(), oExpireDate.toGMTString());
  WriteCookie('XLINK', '', oExpireDate.toGMTString());
}

function OnInformationViewLoaded()
{
  for (var i = 0; i < _arOpenInformationViewCallbacks.length; ++i)
    _arOpenInformationViewCallbacks[i]();
  _arOpenInformationViewCallbacks = [];
  RefreshToolbar();

  var oHierarchyView = oGetHierarchyView();
  if (oHierarchyView && oHierarchyView && oHierarchyView.onInformationViewChanged)
    oHierarchyView.onInformationViewChanged();
}

var _bDebugMessageLogEnabled = true;

function WriteDebugMessage(vsMessage, vsClass)
{
  if (!_bDebugMessageLogEnabled)
    return;

  ShowClearDebugMessagesButton();

  if (!vsClass)
    vsClass = "Debug";
  var oDate = new Date();
  var sHtml = "<td>" +
              oDate.getHours().toString().pad(2,'0',0) + ":" + oDate.getMinutes().toString().pad(2,'0',0) + ":" + oDate.getSeconds().toString().pad(2,'0',0) + "<\/td><td>" +
              oDate.getMilliseconds().toString().pad(3,'0',0) + "<\/td><td>" +
              oDate.getDate() + "." + oDate.getMonth() + "." + oDate.getFullYear() + "<\/td><td>" +
              vsClass + "<\/td><td>" +
              vsMessage + "<\/td>";
  var oRow = $(document.createElement("TR")).
               addClass(vsClass).
               html(sHtml);
  $("#DebugMessagesTable").append(oRow);
}

function ShowClearDebugMessagesButton()
{
  var oClearDebugMessages = $("#ClearDebugMessagesButton");
  if (oClearDebugMessages.length > 0)
    return;
  var oTable = $(document.createElement("TABLE")).
                 attr("id", "DebugMessagesTable").
                 attr("cellpadding", "0").
                 attr("cellspacing", "0");
  $("#DebugMessageDiv").empty().append(oTable);
  var oClearLog = $(document.createElement("A")).
                    attr("id", "ClearDebugMessagesButton").
                    attr("href", "javascript:ClearDebugMessages()").
                    text("[ Clear Log ]");
  var oDisableLog = $(document.createElement("A")).
                      attr("href", "javascript:DisableDebugMessages()").
                      text("[ Disable Log ]");
  $("#DebugMessageDiv").append(oClearLog).append(oDisableLog);
}

function ClearDebugMessages()
{
  $("#DebugMessageDiv").empty();
}

function DisableDebugMessages()
{
  $("#DebugMessageDiv").empty().append(
    $(document.createElement("A")).
      attr("href", "javascript:EnableDebugMessages()").
      text("[ Enable Debug Log ]"));
  _bDebugMessageLogEnabled = false;
}

function EnableDebugMessages()
{
  $("#DebugMessageDiv").empty();
  _bDebugMessageLogEnabled = true;
}

// Google Analytics
var tabNames = {"mycontentshome": "My contents/Home",
                "mycontentswhatsnew": "My contents/What's New",
                "mycontentsmyresponsibilities": "My contents/My Responsibilities",
                "mycontentsalerts": "My contents/My Alerts",
                "mycontentsmybooklets": "My contents/My Briefings",
                "processespgplugin_processmaps": "Processes/Process Maps",
                "processespgplugin_organizations": "Processes/Organizations",
                "processespgplugin_navigator": "Processes/Navigator",
                "processespgplugin_analysis": "Processes/Analysis",
                "processespgplugin_matrices": "Processes/Matrices",
                "processespgplugin_actions": "Processes/Actions",
                "scorecardsscplugin_scorecards": "Scorecards/Hierarchy Views",
                "scorecardsscplugin_strategymaps": "Scorecards/Dashboards",
                "scorecardsscplugin_navigator": "Scorecards/Navigator",
                "scorecardsscplugin_analysis": "Scorecards/Analysis",
                "scorecardsscplugin_reports": "Scorecards/Reports",
                "scorecardsscplugin_actions": "Scorecards/Actions",
                "actionsdiscussion": "Actions/Discussion",
                "actionsbyuser": "Actions/By User",
                "actionsbytime": "Actions/By Time",
                "actionsactionanalysis": "Actions/Analysis",
                "reportsviewreports": "Reports/View Reports",
                "reportsmanagereports": "Reports/Manage Reports",
                "workflowsworkflows": "Workflows/Workflows",
                "workflowsworkflowtickets": "Workflows/Workflow tickets"
               };

// Google Analytics
function getTabName() 
{
  if (tabNames[sGetMenuId().toLowerCase()] != null) 
    {
      return tabNames[sGetMenuId().toLowerCase()];
    }
  else
	{
      return "unknown";
    }
}

// Google Analytics parameters
var googleAnalyticsTrackingCode = "UA-XXXXXXXX-Y"; // format: UA-XXXXXXXX-Y, Google Analytics is disabled if no tracking code is defined
var googleAnalyticsDebugMode = false; // debug mode means debug messages for all Google Analytics reports (page views and events) (either "true" or "false")
var enableUserNameReporting = false; // "true" or "false": enables or disables user full name sending to Google Analytics

// Google Analytics initializer
// load the analytics.js, create a GA tracker object, send a pageview hit to GA
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

// Google Analytics "constructor"
function trackGoogleAnalytics(operation, parameters)
{
  if (googleAnalyticsTrackingCode == "") 
    return;
  
  if (ga.getByName("t0") == null)
    {//initialize GA session; dimension 1 (user name) is session scoped
      ga('create', googleAnalyticsTrackingCode, 'auto');
      var user = "<#user attribute="fullname">";
    
	  if (enableUserNameReporting)
	    ga('set', 'dimension1', user);
	   
	  if (enableUserNameReporting && googleAnalyticsDebugMode) 
	    Message("[Track Google Analytics]\nUser: " + user); 
    }
  
  var ga_parameters = new Object();
  
  for (var parameter in parameters) 
    {
      if (parameters[parameter] != null && parameters[parameter] != "") 
	    ga_parameters[parameter] = $('<div>').html(parameters[parameter]).text();  
    }

  ga_parameters["title"] = getTabName();
  ga("send", operation, ga_parameters);
  
  if (googleAnalyticsDebugMode) 
    Message("[Track Google Analytics]\nView: " + ga_parameters.dimension2 + "\nModel: " + ga_parameters.dimension3 + "\nScorecard: " + ga_parameters.dimension4 + "\nElement: " + ga_parameters.dimension5 + "\nPage: " + ga_parameters.page + "\nTitle: " + ga_parameters.title);
}

// Google Analytics data transmitter function. Sends data to Google
function sendGoogleAnalyticsEvent(eventCategory, eventAction, eventLabel) 
{
  if (googleAnalyticsTrackingCode == "") 
    return;
  
  if (googleAnalyticsDebugMode) 
    Message("Category: " + eventCategory + "\nAction: " + eventAction + "\nLabel: " + eventLabel);
  
  ga('send', 'event', eventCategory, eventAction, eventLabel);
}

var testing = {
  Initialize: function ()
  {
    $.getScript("<#CommonScriptFileLocation>testing.js");
  }
}

InitializeFrameSettings();
</script>

  </head>
  <body class="MainView" onLoad="OnLoad()" onUnload="OnUnload()">
    <div id="Logo">
      <img src="<#ImageFileLocation>qprlogo.png" alt="QPR" />
    </div>
    <div id="MainViewPageWrapper" style="visibility: hidden;">
      <div id="LinkBar">
        <ul>
          <li>
            <a id="logoutLink" href="javascript:OnLogout();"><#LocalizedText id="Logout"></a>
          </li>
<#AllowProfileChangesForViewers false="<!--" not_a_viewer="">
          <li>|</li>
          <li>
            <a id="settingsLink" href="javascript:OpenWindow('<#VTNViewURL VTN="settings">','SettingsWindow',680,400,0)"><#LocalizedText id="Settings"></a>
          </li>
<#AllowProfileChangesForViewers false="-->" not_a_viewer="">
          <li>|</li>
          <li>
            <a id="userNetLink" lang="en" href="javascript:OpenQPRCommunityWindow();">QPR Community</a>
          </li>
          <li>|</li>
          <li>
            <a id="helpLink" href="javascript:OpenHelpWindow(sGetHelpFile());undefined;"><#LocalizedText id="Help"></a>
          </li>
        </ul>
      </div>
<#Include template="headerview.tpl">
      <div id="ContentWrapper" class="ui-layout-outer-center">
        <!-- iFrame for hierarchy / information frameset -->
        <div id="ContentFramesWrapper">
          <div id="ContentFramesLeft" class="ui-layout-west">
            <div id="HierarchyHeader" class="FrameHeader">
              <div id="HierarchyHeaderDiv">
               </div>
              <a class="HierarchyHeaderButton" href="javascript:OnToggleHierarchy();"><img src="<#PortalImageFileLocation>btn_hidetree<#IsRTL true="_rtl">.gif" title="<#LocalizedText id="Hide Tree">"></a>
            </div>
            <div id="HierarchyView">
              <div class="FrameScroller">
                <iframe name="MenuView" id="HierarchyViewFrame" style="height: 100%; width: 100%" src="<#PageFileLocation>empty.html" onload="OnHierarchyFrameLoaded();" onunload="OnHierarchyFrameUnload();" marginheight="0" marginwidth="0" frameborder="0">
                </iframe>
              </div>
            </div>
          </div>

          <div id="ContentFramesRight" class="ui-layout-center">
            <div id="InformationViewHeader" class="FrameHeader">
              <a id="InformationHeaderButtonDiv" class="InformationHeaderButton" href="javascript:OnToggleHierarchy();"><img src="<#PortalImageFileLocation>btn_showtree<#IsRTL true="_rtl">.gif" title="<#LocalizedText id="Show Tree">"></a>

              <div style="width: 100%">
                <div id="InformationHeaderLeftDiv" class="InformationHeaderLeft">
                </div>
                <div id="InformationHeaderRightDiv" class="InformationHeaderRight">
                </div>
              </div>
            </div>

            <div id="InformationView">
              <div class="FrameScroller">
<script type="text/javascript">
  document.write('<iframe name="InformationView" id="InformationViewFrame" style="height: 100%; width: 100%" src="<#PageFileLocation>empty.html" onload="OnInformationViewLoaded();" marginheight="0" marginwidth="0" frameborder="0"></iframe>');
</script>
              </div>
            </div>
          </div>

          <div id="ToolFrameDiv" class="ui-layout-east">
            <div id="ToolFrameHeaderWrapper" class="FrameHeader">
              <a href="javascript:ToolFrame.ToggleVisibility(false);" class="InformationHeaderButton"><img src="<#PortalImageFileLocation>btn_hidetree<#IsRTL false="_rtl">.gif" title="<#LocalizedText id="Hide Tool frame">"></a>
              <div id="ToolFrameHeaderDiv" class="InformationHeaderLeft">
              </div>
            </div>

            <div id="ToolFrameContentDiv" style="border: 0px;"></div>
          </div>
        </div>
      </div>

      <div id="DebugMessageDiv" style="position: absolute; bottom: 0px; height: auto; background-color: #ffff80; z-index: 10000;">
      </div>

      <div id="OverlayDiv" style="position: absolute; top: 0px; left: 0px; height: 0px; width: 0px; z-index: 999; display: none;"></div>
    </div>

<script type="text/javascript">
  OpenView(_sInformationViewLocation, "InformationView");
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: mainview.tpl] -->
